org.apache.xerces.impl

## Interface XMLDocumentFragmentScannerImpl.Dispatcher

- All Known Implementing Classes:
    XML11NSDocumentScannerImpl.NS11ContentDispatcher, XMLDocumentFragmentScannerImpl.FragmentContentDispatcher, XMLDocumentScannerImpl.ContentDispatcher, XMLDocumentScannerImpl.DTDDispatcher, XMLDocumentScannerImpl.PrologDispatcher, XMLDocumentScannerImpl.TrailingMiscDispatcher, XMLDocumentScannerImpl.XMLDeclDispatcher, XMLNSDocumentScannerImpl.NSContentDispatcher
  Enclosing class:
    XMLDocumentFragmentScannerImpl

      protected static interface XMLDocumentFragmentScannerImpl.Dispatcher

  This interface defines an XML "event" dispatching model. Classes that implement this interface are responsible for scanning parts of the XML document and dispatching callbacks.
  Author:
    Glenn Marcy, IBM

  # INTERNAL:

    Usage of this class is not supported. It may be altered or removed at any time.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `dispatch(boolean complete)` Dispatch an XML "event".

- - ### Method Detail

    - #### dispatch

          boolean dispatch(boolean complete)
                    throws java.io.IOException,
                           org.apache.xerces.xni.XNIException

      Dispatch an XML "event".
      Parameters:
        `complete` - True if this dispatcher is intended to scan and dispatch as much as possible.
      Returns:
        True if there is more to dispatch either from this or a another dispatcher.
      Throws:
        `java.io.IOException` - Thrown on i/o error.
        `org.apache.xerces.xni.XNIException` - Thrown on parse error.

Copyright © 1999-2010 The Apache Software Foundation. All Rights Reserved.